PersistenceAdapter (accounting-node 1.4.0-2.17.1 API)
Date: 2014-01-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.accounting.node.persistence
Class PersistenceAdapter

    java.lang.Object
      org.gcube.common.accounting.node.persistence.PersistenceAdapter

    public class PersistenceAdapter

extends Object

Author:
  Andrea Manzi(CERN)

Nested Class Summary
`class` | `PersistenceAdapter.MapKey<CLASS,NAME>`

Constructor Summary
`PersistenceAdapter(org.gcube.common.core.utils.logging.GCUBELog logger, Long interval)`

Method Summary
`boolean` | `alreadyUpdated()`
`Long` | `getInterval()`
`Calendar` | `getLastUpdate()`
`HashMap<String,HashMap<String,RIAccountingData>>` | `getMap()`
`void` | `load()`
`void` | `setInterval(Long interval)`
`void` | `setLastUpdate(Calendar lastUpdate)`
`void` | `setMap(HashMap<String,HashMap<String,RIAccountingData>> map)`
`void` | `store()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceAdapter

    public PersistenceAdapter(org.gcube.common.core.utils.logging.GCUBELog logger,
                              Long interval)

Method Detail

### getLastUpdate

    public Calendar getLastUpdate()

### setLastUpdate

    public void setLastUpdate(Calendar lastUpdate)

### store

    public void store()
               throws Exception

  Throws:
    `Exception`

### load

    public void load()
              throws Exception

  Throws:
    `Exception`

### getInterval

    public Long getInterval()

### setInterval

    public void setInterval(Long interval)

### getMap

    public HashMap<String,HashMap<String,RIAccountingData>> getMap()

### setMap

    public void setMap(HashMap<String,HashMap<String,RIAccountingData>> map)

### alreadyUpdated

    public boolean alreadyUpdated()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.